Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.generic
Interface FoldersControl

All Superinterfaces
  ContentControlBase<Folder,Folder>, GroupSpaceContentControl<Folder>, Serializable

All Known Implementing Classes:
  FoldersControlImpl

    public interface FoldersControl

extends GroupSpaceContentControl<Folder>

todo: clean up this class and get rid of methods we're not using.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`Folder` | `create(String title, String description, CommunityContent.Visibility visibility, String owner, Folder parentFolder)`
`Folder` | `create(String title, String description, CommunityContent.Visibility visibility, String owner, ID parentID)`
`Folder` | `findFolder(String searchExpression, String searchPath)`
`Folder` | `getFolder(String name, Node searchFromNode)` Look for it before creating.
`Folder` | `getFolder(String name, String searchExpression, Node searchFromNode)` Look for it before creating.
`Folder` | `getFolder(String name, String searchExpression, Node searchFromNode, CommunityContent.Visibility visibility, String owner)` Look for it before creating.
`Folder` | `getTopFolder(String contentType)`
`Folder` | `getUserFolder(String username)` Get the user folder associated with this user.

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    Folder create(String title,
                  String description,
                  CommunityContent.Visibility visibility,
                  String owner,
                  Folder parentFolder)
                  throws AuthenticationException,
                         AuthorizationException,
                         NodeExistsException,
                         NoSuchObjectClassException,
                         RepositoryException,
                         InstantiationException,
                         IllegalAccessException,
                         InvocationTargetException

  Parameters
    `title` -
    `description` -
    `visibility` -
    `owner` -
    `parentFolder` -
  Returns
    new Folder
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`

### create

    Folder create(String title,
                  String description,
                  CommunityContent.Visibility visibility,
                  String owner,
                  ID parentID)
                  throws AuthenticationException,
                         AuthorizationException,
                         NodeExistsException,
                         NoSuchObjectClassException,
                         RepositoryException,
                         InstantiationException,
                         IllegalAccessException,
                         InvocationTargetException

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`

### getUserFolder

    Folder getUserFolder(String username)
                         throws InstantiationException,
                                IllegalAccessException,
                                InvocationTargetException,
                                com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                AuthenticationException,
                                AuthorizationException,
                                NoSuchNodeException,
                                RepositoryException

  Get the user folder associated with this user. OWNER=username, VISIBILITY="PERSONAL"

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFolder

    Folder getFolder(String name,
                     Node searchFromNode)
                     throws InstantiationException,
                            IllegalAccessException,
                            InvocationTargetException,
                            com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                            AuthenticationException,
                            AuthorizationException,
                            NoSuchNodeException,
                            RepositoryException

  Look for it before creating. Specify visibility and owner. This will create the folder if it doesn't exist, using default visibility "Community" and owner "GroupSpace" .

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFolder

    Folder getFolder(String name,
                     String searchExpression,
                     Node searchFromNode,
                     CommunityContent.Visibility visibility,
                     String owner)
                     throws InstantiationException,
                            IllegalAccessException,
                            InvocationTargetException,
                            com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                            AuthenticationException,
                            AuthorizationException,
                            NoSuchNodeException,
                            RepositoryException

  Look for it before creating. Specify visibility and owner. This will create the folder if it doesn't exist.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFolder

    Folder getFolder(String name,
                     String searchExpression,
                     Node searchFromNode)
                     throws InstantiationException,
                            IllegalAccessException,
                            InvocationTargetException,
                            com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                            AuthenticationException,
                            AuthorizationException,
                            NoSuchNodeException,
                            RepositoryException

  Look for it before creating. Take default visibility "Community" and owner "GroupSpace" . This will create the folder if it doesn't exist.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findFolder

    Folder findFolder(String searchExpression,
                      String searchPath)
                      throws InstantiationException,
                             IllegalAccessException,
                             InvocationTargetException,
                             com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                             AuthenticationException,
                             AuthorizationException,
                             NoSuchNodeException,
                             RepositoryException

  Parameters
    `searchExpression` -
    `searchPath` -
  Returns
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getTopFolder

    Folder getTopFolder(String contentType)
                        throws InstantiationException,
                               IllegalAccessException,
                               InvocationTargetException,
                               com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                               AuthenticationException,
                               AuthorizationException,
                               NoSuchNodeException,
                               RepositoryException

  Parameters
    `contentType` -
  Returns
    Folder
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved